# HTML elements reference

## Main root

<html>content</html>

## Document metadata

<base>

<head>content</head>

<link>

<meta>

<style>content</style>

<title>content</title>

## Sectioning root

<body>content</body>

## Content sectioning

<address>content</address>

<aside>content</aside>

<footer>content</footer>

<header>content</header>

<main>content</main>

<section>content</section>

## Text content

<blockquote>content</blockquote>

<div>content</div>

<dl><dt>content</dt><dd>content</dd></dl>

<figcaption>content</figcaption>

<figure>content</figure>

<hr>

<menu>content</menu>

<ol><li>content</li></ol>

<p>content</p>

<pre>content</pre>

<ul><li>content</li></ul>

## Inline text semantics

<a>content</a>

<abbr>content</abbr>

<b>content</b>

<bdi>content</bdi>

<bdo>content</bdo>

<br>

content<br>content

<cite>content</cite>

<code>content</code>

<data>content</data>

<dfn>content</dfn>

<em>content</em>

<i>content</i>

<kbd>content</kbd>

<mark>content</mark>

<q>content</q>

<rp>content</rp>

<rt>content</rt>

<ruby>content</ruby>

<s>content</s>

<samp>content</samp>

<small>content</small>

<span>content</span>

<strong>content</strong>

<sub>content</sub>

<sup>content</sup>

<time>content</time>

<u>content</u>

<var>content</var>

<wbr>content</wbr>

## Image and multimedia

<audio>content</audio>

<img>content</img>

<map>
 <area>content</area>
</map>

<track>content</track>

<video>content</video>

## Embedded content

<embed>
  <noembed>content</noembed>
</embed>

<iframe>content</iframe>

<object>content</object>

<picture>content</picture>

<portal>content</portal>

<source>content</source>

## SVG and MathML

<svg>content</svg>

<math>content</math>

## Scripting

<canvas>content</canvas>

<noscript>content</noscript>

<script>content</script>

## Demarcating edits

<del>content</del>

<ins>content</ins>

## Table content

<table>
  <caption>content</caption>
  <colgroup>
    <col>
  </colgroup>
  <thead><tr><th>content</th></tr></thead>
  <tbody><tr><td>content</td></tr></tbody>
  <tfoot><tr><th>content</th></tr></tfoot>
</table>

## Forms

<button>content</button>

<datalist>
  <option>
</datalist>

<fieldset>content</fieldset>

<form>content</form>

<input>

<label>content</label>

<legend>content</legend>

<meter>content</meter>

<output>content</output>

<progress>content</progress>

<select><optgroup><option>content</option></optgroup></select>

<textarea>content</textarea>

## Interactive elements

<details>content</details>

<dialog>content</dialog>

<summary>content</summary>

## Web Components

<slot>content</slot>

<template>content</template>

## Obsolete and deprecated elements

<acronym>content</acronym>

<applet>content</applet>

<bgsound>content</bgsound>

<big>content</big>

<blink>content</blink>

<center>content</center>

<content>content</content>

<dir>content</dir>

<font>content</font>

<frame>content</frame>

<frameset>content</frameset>

<hgroup>content</hgroup>

<image>content</image>

<keygen>content</keygen>

<marquee>content</marquee>

<menuitem>content</menuitem>

<noframes>content</noframes>

<param>content</param>

<plaintext>content</plaintext>

<rb>content</rb>

<rtc>content</rtc>

<shadow>content</shadow>

<spacer>content</spacer>

<strike>content</strike>

<tt>content</tt>

<xmp>content</xmp>
