# Add, remove, or edit menu items in your online store
============================
You can add menu items to your online store menus to build your store's navigation. Menu items are links to products, collections, webpages, blog posts, policies, or other websites. You can also remove or edit menu items.

In most cases, you need to create an item before you can link to it. For example, you need to [create a collection](manual/products/collections) before you can add it to a menu.

You can view and change your online store navigation from the [**Navigation**](/www.shopify.com/admin/menus) page in your Shopify admin.

## Add a menu item

You can add menu items to link to:

* webpages
* collections
* products
* blogs or blog posts
* store policies
* external websites
* email links

{{ 'xYGuJhKiOZw' | youtube }}

{% include link-to-more-videos.md %}

## Steps:

{% include admin_sidebar/online-navigation.md %}

2. On the **Navigation** page, click the title of the menu that you want to edit.

3. Click **Add menu item**.

3. Enter a title for the menu item. This title displays in the menu, and can include special characters or emoji.

4. Click the **Link** field, and then select a link type or enter a website address for an external website:
    * **Home** - your online store's home page
    * **Collections** - a specific collection or all collections
    * **Products** - a specific product or all products
    * **Pages** - a webpage on your online store
    * **Blogs** - a blog on your online store
    * **Blog posts** - a blog post on your online store
    * **Policies** - one of your [store policies](/manual/sell-online/checkout-settings/refund-privacy-tos)

    To create an email link, use the format `mailto:youremail@example.com`.

5. If you selected a link type, then select a specific destination. When you select **Home**, the destination is automatically set to your online store's home page.

6. Click **Save menu**.

## Edit a menu item

## Steps:

{% include admin_sidebar/online-navigation.md %}

2. Click the title of the menu that includes the item.

3. In the **Menu items** section, click **Edit** beside the name of the item.

4. Make any changes:
    * To change the name of the menu item, enter text in the **Name** field.
    * To change the destination of the menu item, click the `x` in the **Link** field, and then enter or select a new destination.

5. Click **Apply changes**.

6. Click **Save menu**.

## Change the display order of menu items

You can view the display order of menu items on the [**Navigation**](/www.shopify.com/admin/menus) page. The menu items display on your online store in the order that they are listed.

## Steps:

{% include admin_sidebar/online-navigation.md %}

2. Click the title of the menu that you want to reorder.

3. Click and hold the handle icon beside the menu item, and then drag the menu item to another position:
   ![Menu items section with handle icon highlighted](/manual/links/handle-icon.png)

4. Click **Save menu**.

## Remove a menu item

You can remove a menu item to delete it from your online store navigation.  When you remove a menu item that has items nested below it in a drop-down menu, the nested menu items are also removed and the drop-down menu is removed from your online store navigation.

## Steps:

{% include admin_sidebar/online-navigation.md %}

2. Click the title of the menu that you want to reorder.

3. Click the trash can beside the menu item that you want to remove.

4. Click **Remove** to confirm.
